Subject: [PATCH 1/2] iommu: Support dynamic pgsize_bitmap

From: [email-masked] (Mitchel Humpherys)
Date: Thu, 07 Apr 2016 12:29:59 -0700

On Wed, Apr 06 2016 at 11:47:19 AM, Robin Murphy <[email-masked]> wrote:
> How would you handle said restriction of page sizes under this scheme?

I have a custom io-pgtable implementation that gets wired up based on an
IOMMU domain attribute, which is set by yet another custom DMA mapper.
My main goal is to give clients a way to specify the page table format
they want to use.  It's a bit of a mess but hopefully I can clean it up
and send it out soon.

> I'll clean up what I have and try to get it posted this afternoon so
> we can compare.

Cool, I have some comments that I'll leave over there.

-Mitch

-- 
Qualcomm Innovation Center, Inc.
The Qualcomm Innovation Center, Inc. is a member of the Code Aurora Forum,
a Linux Foundation Collaborative Project